package cn.com.infosec.crypto.params;

import cn.com.infosec.crypto.CipherParameters;

public class ParametersWithSalt implements CipherParameters {
   private byte[] salt;
   private CipherParameters parameters;

   public ParametersWithSalt(CipherParameters parameters, byte[] salt) {
      ParametersWithSalt var10000 = this;
      int var3 = salt.length;
      var10000.<init>(parameters, salt, 0, var3);
   }

   public ParametersWithSalt(CipherParameters parameters, byte[] salt, int saltOff, int saltLen) {
      ParametersWithSalt var10001 = this;
      super();
      byte[] var5;
      this.salt = var5 = new byte[saltLen];
      var10001.parameters = parameters;
      System.arraycopy(salt, saltOff, var5, 0, saltLen);
   }

   public byte[] getSalt() {
      return this.salt;
   }

   public CipherParameters getParameters() {
      return this.parameters;
   }
}
